Summary: GNU  plotting package
Name: gnuplot
Version: 3.7.1
Release: 1
Group: Applications/Math
Copyright: GPL-style
Url: http://www.gnuplot.vt.edu/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnuplot.vt.edu/pub/gnuplot/gnuplot-%{version}.tar.gz
Patch: gnuplot-%{version}.patch
BuildRoot: /var/tmp/%{name}-root

%description
This is the GNU plotting package.  It can be used to graph
data in an X window or to a file.


%prep
%setup -q
%patch -p1


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --datadir=/usr/share/gnuplot \
	--with-gnu-readline --without-gd
make
# Manually create documentations
make -C docs ps html info DVIPS="dvips -t letter"
make -C docs/latextut tutorial.ps DVIPS="dvips -t letter"
make -C docs/psdoc
gzip -9 docs/{gnuplot.info,gnuplot.ps,gpcard.ps} docs/latextut/tutorial.ps


%install
rm -rf $RPM_BUILD_ROOT
make install \
	prefix=$RPM_BUILD_ROOT/usr datadir=$RPM_BUILD_ROOT/usr/share/gnuplot
strip $RPM_BUILD_ROOT/usr/bin/*
mkdir -p $RPM_BUILD_ROOT/usr/info
install -m644 docs/gnuplot.info.gz $RPM_BUILD_ROOT/usr/info


%post
/sbin/install-info /usr/info/gnuplot.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/gnuplot.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc 0* ChangeLog CodeStyle Copyright INSTALL.gnu NEWS PGPKEYS TODO
%doc demo docs/psdoc docs/latextut/tutorial.ps.gz
%doc docs/gnuplot.ps.gz docs/gpcard.ps.gz docs/gnuplot.html
/usr/bin/*
/usr/info/*
/usr/man/man*/*
/usr/share/gnuplot


%clean
rm -rf $RPM_BUILD_ROOT
